// This AC was moved to its own file to avoid clogging up the main player AC

{
	"format_version": "1.19.10",
	"animation_controllers": {
		"controller.animation.player.mystic_beam" : {
			"initial_state" : "default",
			"states" : {
				"default": {
					"transitions": [
						{ "show": "v.show_beam" }
					]
				},
				"show": {
					"particle_effects": [
						{ "effect": "mystic_beam_end", "locator": "mystic_beam_1" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_2" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_3" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_4" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_5" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_6" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_7" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_8" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_9" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_10" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_11" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_12" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_13" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_14" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_15" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_16" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_17" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_18" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_19" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_20" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_21" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_22" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_23" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_24" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_25" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_26" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_27" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_28" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_29" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_30" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_31" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_32" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_33" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_34" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_35" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_36" },
						{ "effect": "mystic_beam", "locator": "mystic_beam_37" },
						{ "effect": "mystic_beam_end", "locator": "mystic_beam_38" },
						{ "effect": "mystic_beam_end", "locator": "mystic_beam_39" }
					],
					"transitions": [
						{ "reset": "true" }
					]
				},
				"reset": {
					"transitions": [
						{ "default": "!v.show_beam" }
					]
				}
			}
		}
	}
}